%                <<<   INDUCTION MOTOR  >>>
%          pulsed loading from imswing.mdl
%close all clc
aviswing=avifile('imswing.avi','compression','none');

   for k=1:length(t)
    figure('Units','normalized','Position',[0.05 0.17 .85 .5],'Name',' INDUCTION MOTOR','NumberTitle','on')  
      subplot(1,2,1)
      compass(.9*vs,0,'w') ,title('MOVEMENT OF PHASORS','color','k', 'Fontweight','b','fontsize',12),hold on 
      plot(0,0,'-b',0,0,'-c',0,0,'-r',0,0,'-m',0,0,'-k')
      legend('','\lambda_s','\lambda_r','i_s','i_r','V',-1)
     
      vecarrow([0 0],[fs(k,1) fs(k,2)],'b')
      vecarrow([0 0],[fr(k,1) fr(k,2)],'c') 
      vecarrow([0 0],[is(k,1) is(k,2)],'r')
      vecarrow([0 0],[ir(k,1) ir(k,2)],'m')
      vecarrow([0 0],[vs 0],'k')
       set(findobj(gca,'Type','line'),'LineWidth',2)
      
    axis ('equal') 
    %hold off
   subplot(1,2,2)
 plot(wm,Te,'-b'),title('INDUCTION MOTOR','fontsize',14), grid,hold on
 xlabel('Speed [pu]','color',[.2 .6 .2],'Fontweight','b','fontsize',12),
 ylabel('Torque [pu]','color',[.2 .6 .2],'Fontweight','b','fontsize',12) 
    plot(wm(k),Te(k),'ro','MarkerSize',5,'MarkerEdgeColor','r','MarkerFacecolor','r')
    text(.992,1.3,['T_L = ',num2str(Tl(k))],'FontSize',10,'FontWeight','bold')
      f=getframe(gcf);
     aviswing=addframe(aviswing,f);
  end   
   aviaswing=close(aviswing); 
  