%menu for animations.m files
clc,close all
            v=menu('ANIMATIONS:',...
           'Instructions on how to run movies',...     
           'Magnetic field distribution due to sinusoidal winding with sinusoidal current',...
           'Elementary round rotor synchronous generator',...
           'Sinusoidally distributed windings and fields in a three-phase ac machine',...
           'Air gap flux plot due to rotating sinusoidal winding',...
           'Space distribution of waves in a 3-phase ac machine',...
           'Space vector representation of waves in a 3-phase machine',...
           'Combined vector and space distributions',...
           'Space vector decomposition in dq frame',...
           'Space vector representation of a balanced three-phase sinusoidal signal',...
           'Motion of space vectors in various reference frames',...
           'Wound rotor induction machine configuration',...
           'Squirrel-cage induction motor configuration',...
           'Waves in a squirrel-cage rotor of an induction motor',...
           'Alternator',...
           'DC machine schematic representation',...
           'Brushless dc machine',...
           'Position control of a DC motor drive',...
           'Switched-reluctance motor',...
           'Animated phasors of an induction motor (Torque-speed curve)',...
           'Induction motor under pulsed loads',...
           'Transient stability of a synchronous machine against an infinite bus',...
           'Synchronization of three-phase power systems',...
           'Animated phasor diagrams of a synchronous generator (Compounding curve)',...
           'Animated phasor diagrams of a synchronous motor (V curve)',...
           'Animated phasor diagrams of a synchronous motor (Power-angle curve)',...
           'Close');
  v1=num2str(v);      
      switch v1
      case '1',infomovies;   
      case '2',im1phase; 
      case '3',smgen;
      case '4',sinwdg;
      case '5',imflux3;    
      case '6',sinmovie;
      case '7',vecmovie;    % also vecmovieA
      case '8',sinvecmovie; 
      case '9',spavecdqdq; % also spavecabdq    
      case '10',vecmovieplus;    
      case '11',imwavesA;
      case '12',im3phase;
      case '13',sqimfields;  % sqimfieldr (rotor view)
      case '14',squirrelwave;    
      case '15',alternator;
      case '16',dcmachine;    
      case '17',brushlessdcA; 
      case '18',dcmotpos2;    
      case '19',switchrelmot; 
      case '20',imPHASORS;
      case '21',imswing;    
      case '22',smstep1;  %swing4run;
      case '23',syncb;    %syncbneg ;
      case '24',syncgenmovie1;    
      case '25',syncmotmovie0;   
      case '26',syncmotmovie1;     
      case '27',clc,clear,close all,break
      end     
  %      
                 