%menu for synchronous machines
clc,clear,close all
k=menu('SYNCHRONOUS MACHINES DEMO:',...
        'V- and C-curves of the synchronous machine',...
        'Synchronous motor start using Simulink',...
        'Synchronization and loading of a synchronous machine',...
        'Short cicuit of a sychronous machine (S-function)under load',...
        'Transient stability with various models of the synchronous machine ',...
        'Transient stability in script format',... 
        'Short circuit of an alternator initially open circuited',... 
        'Sudden application of an R_L load on a synchronous generator',...
        'Same as above with added voltage regulator',...
        'Transient stability of a synchronous machine (swing curves)',...
        'Open-loop Volt/Hz control of a synchronous motor drive',...
        'Speed control of a permanent magnet synchronous motor',...
        'Phase variable model of synchronous machine',...
        'Close');
k1=num2str(k);      
    switch k1
        case '1', smvcurve;
        case '2', smstart0;          % non gui version smvecstart.mdl
        case '3', smeqvec9;         
        case '4', smrun1;
        case '5', smtransient0;      % non gui version smeqvec0.mdl  
        case '6', smtransientsetup;  % script version   
        case '7', smmod0;            % non gui version smeqvec2.mdl     
        case '8', smalone;           % non gui version smalonevec.mdl 
        case '9', smaloneVR;         % non gui version smalonevecVR.mdl   
        case '10', swing1;           % swing0.m (elementary m_file)
        case '11', smspeedmod        % non gui version smeqvec5.mdl   
        case '12', smpm3; 
        case '13' ,
            q=menu('Phase variable model:',...
        'Elementary single-phase synchronous machine',...               
        'Synchronous motor start (round rotor)',...
        'Synchronous motor start (salient pole rotor)',...
        'Three-phase reluctance motor',...
        'Synchronizing open circuited alternator to an infinite bus',...
        'Three-phase short applied to open circuited alternator',...
        'Load applied to synchronous generator (round rotor)',...
        'Stability of alternator subject to a cleared fault',...
        'Return');
        q2=num2str(q);
        switch q2
           case '1', SMabcsingle; 
           case '2', SMabcstartsim0;       % SMabcrun0   (script)
           case '3', SMabcstart6;          % SMabcrun9   (script) 
           case '4', SMabcrel1;            % SMabcrel2   (script)  
           case '5', SMabcsimsync4;        % SMabcsync1  (script)   
           case '6', SMabcshortsim1;       % SMabcshort1 (script)   
           case '7', SMabcsimload3;        % SMabcrun7   (script)
           case '8', SMabcstab8;           % SMabcstab5  (script)
           case '9', clc,close all, sm;   
        end      
         case '14', clc,clear,close all, break
      end      