%    MOVIE OF INDUCTION MACHINE 
clc,clear,close all
disp(date)
info= ...  
        ['           SQUIRREL-CAGE INDUCTION MACHINE          '
         '                     Stator view                    '
         ' A movie can also be run under Windows Media Player '
         ' by activating the "sqs.avi" file just created.     '];  
         
disp(info)
aviwave=avifile('sqs.avi','compression','none');
phis=0;rr=0.4;e=0;e1=0;d=0;d1=0;rs=0.7;n=11;z=0;co=[.55 .27 .07];ns=40;p=20;
%
 figure('units','normalized','Position',[.3 .1 .5 .6],'Name','INDUCTION MOTOR',...
        'NumberTitle','off');
 set(gcf,'color','w') 
     
for e=0:2:358
      z=z+1;         
      Fa1=.70*cos(phis);Fb1=.70*sin(phis);      
      Fa4=.70*cos(phis+pi);Fb4=.70*sin(phis+pi);
      q=0:pi/40:2*pi;q1=pi:pi/20:2*pi;q2=pi:-pi/20:0;
      fill([0 -1 1],[-0.4 -1.2 -1.2],[.6 .6 .4],'LineWidth',1.5),hold on
      fill(.9*cos(q),0.9*sin(q),[.6 .6 .6],'LineWidth',1.5)
      h1= patch(.62*cos(q1),0.62*sin(q1),1:length(q1),'facecolor','interp');
      h2=patch(.62*cos(q2),0.62*sin(q2),1:length(q2),'facecolor','interp');
      fill(.48*cos(q),0.48*sin(q),[.6 .6 .6],'LineWidth',1.5)
      rotate(h1,[0 0 1],e-90,[0 0 0])
      rotate(h2,[0 0 1],e-90,[0 0 0])
     
 thetas=0:2*pi/ns:2*pi; 
     fs=cos(thetas+.00001);
   for w=1:ns
        dd=abs(fs(w));
         if fs(w)>0; cc='ko';pp=.6;
               else cc='kx';pp=1;
         end      
         
         m3=plot(0,rs,'ko','MarkerSize',dd*17,'MarkerFacecolor','g');
         rotate(m3,[0 0 1],d+e-90,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+e-90,[0 0 0])
         d=d+360/ns;
    end 
h3=plot(0,rs,'o','MarkerSize',10,'MarkerFacecolor','w');
rotate(h3,[0 0 1],e,[0 0 0])
h4=plot(0,-rs,'o','MarkerSize',10,'MarkerFacecolor','w');
rotate(h4,[0 0 1],e,[0 0 0])
theta=0:pi/18:2*pi; 
fA=cos(2*theta+pi/6-.4*e*pi/180); 

    for w=1:18
        dd=abs(fA(w));
         if fA(w)>0; cc='kx';pp=1;
               else cc='ko';pp=.6;
         end      
         h3=plot(0,0.4,'ko','MarkerSize',18,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+.6*e,[0 0 0])
         m3=plot(0,0.4,'ko','MarkerSize',dd*17,'MarkerFacecolor','m');
         rotate(m3,[0 0 1],d+.6*e,[0 0 0])
         m4=plot(0,0.4,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+.6*e,[0 0 0])
         d=d+20;
     end
               
      f0=text(-.04,-1.01,'B_m','color',[.55 .27 .07],'Fontsize',22);
      rotate(f0,[0 0 1],e,[0 0 0])    
      f12=text(-.16,-0.16,'I_m','color','g','Fontsize',22);
      rotate(f12,[0 0 1],e,[0 0 0]) 
      f9=text(0,-1.02,'I_r','color','m','Fontsize',22);
      rotate(f9,[0 0 1],e-120,[0 0 0])
      f101=text(0,-1.1,'I_s','color','r','Fontsize',22);
      rotate(f101,[0 0 1],e+45,[0 0 0])
      f10=text(0,-1.01,'I_R','color','b','Fontsize',22);
      rotate(f10,[0 0 1],e+60,[0 0 0])
      f11=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color','b','LineWidth',4);
      rotate(f11,[0 0 1],e+60,[0 0 0]) 
      f8=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color','m','LineWidth',4);
      rotate(f8,[0 0 1],e-120,[0 0 0])  
      f1=plot(0,0,'xk',[0 0 -.05 0 0.05],[0 -.85 -.75 -0.85 -.75],'color',[.55 .27 .07],'LineWidth',4);
      rotate(f1,[0 0 1],e,[0 0 0]) 
      fs=plot(0,0,'xk',[0 .74],[0 -.73],'color','r','LineWidth',4);
      rotate(fs,[0 0 1],e,[0 0 0]) 
      f13=plot(0,0,'xk',[-.04 0  0.04],[ -.21 -.3 -.21],'color','g','LineWidth',4);
      rotate(f13,[0 0 1],e,[0 0 0])
      f13=plot(0,0,'xk',[-.04 0  0.04],[ -.21 -.3 -.21],'color','g','LineWidth',4);
      rotate(f13,[0 0 1],e,[0 0 0])
      f131=plot(0,0,'xk',[0 0],[ 0 -.3],'color','g','LineWidth',4);
      rotate(f131,[0 0 1],e,[0 0 0])
      f133=plot([0 .74],[ -.3 -.73],'color','y','LineWidth',2);
      rotate(f133,[0 0 1],e,[0 0 0])
       f134=plot([0.74 .74],[ -.43 -.73],'color','y','LineWidth',2);
      rotate(f134,[0 0 1],e,[0 0 0])
      f132=plot(0,0,'xk',[-.05 0  0.05],[ -.94 -1.04 -.94],'color','r','LineWidth',4);
      rotate(f132,[0 0 1],e+45.5,[0 0 0])
      f2=text(.98,0,'\omega_s','color','k','Fontsize',22);
      rotate(f2,[0 0 1],55,[0 0 0])
      f3=text(0.02,-.15,'\omega_m','color','k','Fontsize',22);
      rotate(f3,[0 0 1],150,[0 0 0])
      ano=3*pi/2-pi/2.6:.02:3*pi/2;
      x1=.27*cos(ano); y1=.27*sin(ano);
      f4=plot(x1,y1,'k',[0 -.06 0 -.06],[-.27 -.22 -.27 -.32],'k','Linewidth',3);
      rotate(f4,[0 0 1],170,[0 0 0])
      text(-.26,-1.14,'Stator view','color','r','Fontsize',20);
      anq=-pi/6:.02:0;
      x2=1.1*cos(anq); y2=1.1*sin(anq);
      f5=plot(x2,y2,'k',[1.1 1.05 1.1 1.15],[0 -.05 0 -.05],'color','k','Linewidth',3);
      rotate(f5,[0 0 1],65,[0 0 0])
      %text(-1.05,1.1,'SQUIRREL-CAGE INDUCTION  MOTOR','FontSize',18,'FontWeight','bold','color','blue')
      set(gca,'Xlim',[-1.2 1.2],'Ylim',[-1.2 1.2],'visible','off')
            
      axis ('equal')
      hold off
      %  
      
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
 end
     aviwave=close(aviwave);
     
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.60 0.05 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
  %%%%%%%    
